---
key_path: redis_hll_counters.count_distinct_user_id_from_code_suggestions_requested_weekly
description: Weekly count of unique users who requested a code suggestion
product_group: code_creation
performance_indicator_type: []
value_type: number
status: removed
milestone: '16.8'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/141643
time_frame: 7d
data_source: internal_events
data_category: optional
distribution:
- ee
tiers:
- premium
- ultimate
events:
- name: code_suggestions_requested
  unique: user.id
milestone_removed: '17.1'
removed_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/153401
